//
//  connectDeviceManager.h
//  隐私保护
//
//  Created by xd h on 2023/10/9.
//

#import <Foundation/Foundation.h>
#import "DeviceThirdIdModel.h"
NS_ASSUME_NONNULL_BEGIN

typedef enum{
    DeviceConnectUnknown = -1,
    DeviceConnectGetThridMsging = 0,
    DeviceConnectGetThridOK,
    DeviceConnectGetThridFail,
    DeviceConnectDeciceing,
    DeviceConnectDeciceOk,
}connectDeviceState;

/**
 *  
 */
typedef void (^netWork_DidEndByOK) (bool didSuc);

@interface connectDeviceManager : NSObject
+(connectDeviceManager *)shareInstance;

@property(nonatomic,strong) DeviceThirdIdModel *DeviceThirdIdMod;//设备的第三方信息  连接时需要
@property(nonatomic,assign) connectDeviceState  curConnectDeviceState;

//是否完成了第一次密码输入
@property(nonatomic,assign) BOOL  isFirstInputPwdDone;

@property(nonatomic,copy) NSString*  tcpPortStr;

#pragma mark 根据扫码的sn获取第三方信息 是否需要重连
-(void)getThridMsgBySN:(NSString*)snStr needReconnect:(BOOL)needReconnect didNetEnd:(netWork_DidEndByOK)didNetEndIsOK;

#pragma mark 保持卡密码
-(void)updateCardInfoBySN:(NSString*)snStr withPwdStr:(NSString*)pwd didNetEnd:(netWork_DidEndByOK)didNetEndIsOK;
@end

NS_ASSUME_NONNULL_END
